package com.sourcefellows.patterns.cor;

public class FirstLevelSupportHandler implements SupportHandler {

    private SupportHandler nextHandler;

    public FirstLevelSupportHandler(SupportHandler nextHandler) {
        this.nextHandler = nextHandler;
    }

    @Override
    public void handleRequest(CustomerRequest request) {

        if (true) {
            this.nextHandler.handleRequest(request);
        }

    }
}
